## fcitx-zhuyin 0~20150911

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6)
project(fcitx-zhuyin)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

include(CheckCXXCompilerFlag)

check_cxx_compiler_flag("-std=c++11" SUPPORT_CXX11)

if(NOT SUPPORT_CXX11)
    message(FATAL_ERROR "need c++ 11 compatible compiler to compile")
endif()

find_package(Libintl REQUIRED)
find_package(Fcitx 4.2.8 REQUIRED)
find_package(GLIB2 REQUIRED)
find_package(LibZhuyin REQUIRED)

_fcitx_add_uninstall_target()

set(CMAKE_C_FLAGS "-Wall -Wextra -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -std=c++11 -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined -Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

set(FCITX_LIBZHUYIN_ZHUYIN_DATADIR
  "${FCITX4_PREFIX}/share/fcitx/libzhuyin/zhuyin_data")

configure_file(config.h.in config.h)

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(data)

=== debian/changelog ===
fcitx-zhuyin (0~20150911-4) unstable; urgency=medium

  * Fix --ddeb-migration option for dbgsym migration.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 10 Aug 2016 09:18:30 +0800

fcitx-zhuyin (0~20150911-3) unstable; urgency=medium

  * Migrate to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 09 Aug 2016 09:13:18 +0800

fcitx-zhuyin (0~20150911-2) experimental; urgency=medium

  * Bump Standards-Version to 3.9.8.
  * Remove fcitx-zhuyin-dbg in favor of dbgsym.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 08 Jun 2016 10:21:12 +0800

fcitx-zhuyin (0~20150911-1) experimental; urgency=low

  * Initial release (Closes: #790031)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 11 Sep 2015 20:12:33 +0800

=== debian/control ===
Source: fcitx-zhuyin
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9.20151219),
               cmake (>= 2.8.6),
               fcitx-libs-dev,
               libglib2.0-dev,
               libintl-perl,
               libzhuyin-dev (>= 1.0.91)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/fcitx-zhuyin.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ime/fcitx-zhuyin.git
Homepage: http://github.com/fcitx/fcitx-zhuyin

Package: fcitx-zhuyin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Fcitx wrapper for Zhuyin library
 fcitx-zhuyin is a wrapper of Zhuyin IM engine for Fcitx.
 .
 The libzhuyin project aims to provide the algorithms core for intelligent
 sentence-based Chinese zhuyin input methods for Traditional Chinese user.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --fail-missing --list-missing

override_dh_strip:
	dh_strip --ddeb-migration='fcitx-zhuyin-dbg (<< 0~20150911-2~)'

=== debian/watch ===
version=3
https://github.com/fcitx/fcitx-zhuyin/releases .*/v?(\d\S*)/fcitx-zhuyin-(?:\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
